<?
// testing 2
if (@$_REQUEST["tokenEditorV2"]){ $_SESSION["tokenEditorV2"] = @$_REQUEST["tokenEditorV2"]; }
if (@$_REQUEST["uploadTokenV2"]){ $_SESSION["uploadTokenV2"] = @$_REQUEST["uploadTokenV2"]; }
if (@$_REQUEST["disableTokenEditorV2"]){ 
	unset($_SESSION["tokenEditorV2"]); 
	unset($_SESSION["uploadTokenV2"]);
}
if (@$_SESSION["tokenEditorV2"] && !@$_REQUEST["disableTokenEditorV2"]){
	CocoWS::setToken(@$_SESSION["tokenEditorV2"]);
	if (CocoWS::validateUploadToken(@$_SESSION["uploadTokenV2"])) {
		
		?>
		<script>
			var tokenEditor = "<?=@$_SESSION["tokenEditorV2"];?>";
			var uploadToken = "<?=@$_SESSION["uploadTokenV2"];?>";
		</script>
		<script src="/cms/lib/plugins/builder_saas/js/acai_editor_script.js"></script>
		<?
	}else{
		?><!-- token not validated --><?
	}
}
$otros_contenidos = CocoDB::get("otros_contenidos", "visible_en_el_menu=1", "siblingOrder DESC", null, ["ignoreSchema" => true]);
$config_footer 	= 	array(
		                'pie_de_pagina'				=>	t($configuracionRecord,"pie_de_pagina"),
		                'configuracionRecord'		=>	@$configuracionRecord,
		                'configuracionTienda'		=>	@$configuracionTienda,
						'thisrecord'				=>	@$apartado,
		                'index'						=>	@$index,
						'otros_contenidos'					=>	$otros_contenidos,
						'apartadoCesta'				=>	@$apartadoCesta
					);

if (@$customCode) echo modulo('custom-footer',$config_footer); else echo tpl('pie',$config_footer);	
